## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanHTMLElementsProperties::ElementProperties Class Reference

This class acts as a proxy for and InternalElementProperties instance. More...

`#include <XalanHTMLElementsProperties.hpp>`

List of all members.

## Public Types

- typedef InternalElementProperties::AttributeFlagsType AttributeFlagsType
- typedef InternalElementProperties::FlagsType FlagsType

## Public Methods

- ElementProperties (const InternalElementProperties* theProperties = 0)
    Constructor. More...
- ElementProperties (const ElementProperties& theSource)
    Copy constructor. More...
- bool null () const
    Determine if this is a non-null instance. More...
- bool is (FlagsType theFlags) const
    Check if particular properties are set for this instance. More...
- bool isAttribute ( const XalanDOMChar* theAttributeName, AttributeFlagsType theFlags) const
    Check if particular attribute properties are set for this instance. More...

## Detailed Description

This class acts as a proxy for and InternalElementProperties instance.

## Member Typedef Documentation

typedef InternalElementProperties::AttributeFlagsType XalanHTMLElementsProperties::ElementProperties::AttributeFlagsType

typedef InternalElementProperties::FlagsType XalanHTMLElementsProperties::ElementProperties::FlagsType

## Constructor & Destructor Documentation

XalanHTMLElementsProperties::ElementProperties::ElementProperties ( | const InternalElementProperties * theProperties = 0 )

Constructor.

Parameters:

  theProperties | The instance for which this one is a proxy.

XalanHTMLElementsProperties::ElementProperties::ElementProperties ( | const ElementProperties & theSource )

Copy constructor.

Parameters:

  theSource | The source instance for the copy.

## Member Function Documentation

bool XalanHTMLElementsProperties::ElementProperties::is ( | FlagsType theFlags ) const`[]`

Check if particular properties are set for this instance.

See the eFlag enum for the valid properties.

Parameters:

  theFlags | The properties to check.

Returns:
  true if the property is set, false if not

bool XalanHTMLElementsProperties::ElementProperties::isAttribute ( | const XalanDOMChar * theAttributeName,
| AttributeFlagsType theFlags ) const`[]`

Check if particular attribute properties are set for this instance.

See the eFlag enum for the valid properties.

Parameters:

  theAttributeName | The attribute name.
  theFlags | The properties to check.

Returns:
  true if the property is set, false if not

bool XalanHTMLElementsProperties::ElementProperties::null ( | ) const`[]`

Determine if this is a non-null instance.

You must call this before calling any member functions, if you think the instance may be null.

Returns:
  true if the instance is null, false if not

The documentation for this class was generated from the following file:

- XalanHTMLElementsProperties.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.